powerkit(1)

NAME
powerkit - desktop independent full featured power manager

SYNOPSIS
powerkit [--config]

DESCRIPTION
powerkit is an lightweight desktop independent full featured power manager, originally created for Slackware for use with alternative desktop environments and window managers, like Fluxbox, Blackbox, FVWM, WindowMaker, Openbox, Lumina and others.

USAGE

powerkit is an user session daemon and should be started during the X11 startup session. If your desktop environment or window manager supports XDG auto start then powerkit should automatically start, if not you will need to add powerkit to your startup file (check the documentation included with your desktop environment or window manager).

    In Fluxbox add powerkit & to the ~/.fluxbox/startup file.

    In Openbox add powerkit & to the ~/.config/openbox/autostart file.

CONFIGURATION

Click on the powerkit system tray, or run the command powerkit --config ( or use powerkit.desktop ) to configure powerkit.

SCREEN SAVER

powerkit depends on XScreenSaver to handle the screen session, the default ( XScreenSaver ) settings may need to be adjusted. You can launch the ( XScreenSaver ) configuration GUI with the xscreensaver-demo command.

Recommended settings are:

Mode:
    Blank Screen Only

Blank After
    5 minutes

Lock Screen After:
    enabled + 0 minutes

Display Power Management ( enabled ):

Standby After:
    0 minutes

Suspend After:
    0 minutes

Off After:
    0 minutes

Quick Power-off in Blank Only Mode:
    enabled

Note that powerkit will start XScreenSaver during startup (unless org.freedesktop.ScreenSaver is disabled).

BACK LIGHT

powerkit supports back light through /sys/class/backlight. The current brightness can be adjusted with the mouse wheel/touchpad scroll on the system tray icon or through the configuration GUI (bottom left slider). You can also configure brightness events in the configuration GUI.

NOTE! Proper udev permissions (rules file) are required to adjust the brightness. See https://github.com/rodlie/powerkit/blob/master/app/share/udev/90-backlight.rules.

HIBERNATE/HYBRID SLEEP

A swap partition (or file) is needed by the kernel to support hibernate/hybrid sleep. Edit the boot loader configuration and add the kernel option resume=<swap_partition/swap_file>, then save and restart.

REQUIREMENTS

powerkit requires ConsoleKit/logind, UPower, XScreenSaver, adwaita-icon-theme. available during run-time.

OPTIONS

--config
    Launch configuration/status GUI.

FILES
~/.config/powerkit/powerkit.conf
    Per user configuration file.

SEE ALSO
xscreensaver(1), xscreensaver-demo(1), UPower(7)

BUGS
See https://github.com/rodlie/powerkit/issues

AUTHOR
Ole-André Rodlie (ole.andre.rodlie@gmail.com)

COPYRIGHT
Available under the 3-clause BSD license.